Page MenuHomePhabricator

Engineering Community quarterly goals for July-September 2015
Closed, ResolvedPublic

Description

Previous: T93770: Engineering Community quarterly goals for April-June 2015
Next: T109829: Developer Relations quarterly goals for October-December 2015

Main goal

GoalMeasurement of successDependencyETAStatus
T101946: Goal: First Wikimania Hackathon fully integrated with the main program and the editor community (EXPERIMENT)Hackathon Showcase features at least 8 demos produced at the event in front of a mixed audience of developers and editors. All newcomers and editors joining the hackathon get a tech savvy buddy.Wikimania organization team, Wikimedia Mexico, hackathon projects leadsECT-July-2015Successfully completed

Other team goals

ObjectiveMeasurement of successDependencyETAStatus
T101441: Goal: Integrate the new Web APIs hub with mediawiki.org (EXPERIMENT)New Developer Hub available in mediawiki.org with basic content and coherent user experience. community process to propose and contribute documentation.Blueprint skin maintainers (Reading Design), mediawiki.org community (fuzzy)DevRel-September-2015Partially completed. Part of API nav, How to contribute, etc.; modern Blueprint look is only on test site; contribution process.
T88531: Goal: Organize a Gerrit Cleanup Day on September 23, 2015 (STRENGTHEN)All WMF developer teams join the Day. All patches contributed by volunteers, and all patches from the past 3 months have at least one reviewAll WMF Engineering and Technology teams (through their managers)DevRel-September-2015 (latest)Partially completed
T101393: Goal: All completed GSoC and Outreachy projects have code merged and deployed by September (STRENGTHEN)All the GSoC and Outreaching interns that pass the program in August have their code reviewed and deployed by the end of September.GSoC and Outreachy mentorsDevRel-September-2015Completed
T101950: Goal: Establish a framework to engage with data engineers and open data organizations (EXPERIMENT)Publication of basic documentation and community processes for open data engineers and organizations willing to contribute to Wikidata. Ongoing projects with 1 open data org.Wikidata team, Wikidata community, Strategic Partnerships teamDevRel-September-2015Partially completed

Individual goals

@Aklapper

GoalMeasurement of successDependencyETAStatus
T88531: Goal: Organize a Gerrit Cleanup Day on September 23, 2015 (STRENGTHEN)See Other team goals above.
T101116: Goal: Clarify interaction/sync with TPG, RelEng, CL in areas of Phab practices, QA, communityAgreement with each team on level of communication useful for both and awareness of shared areas of responsibility and expertise.TPG, RelEng, CLECT-July-2015, ECT-August-2015Completed
T102611: Goal: Drive more complex long-term tasks closer to resolutionDrive three long-term lingering tasks with more than one stakeholder to resolution.Parties/Stakeholders of tasksDevRel-September-2015Declined
T102612: Goal: Clarify the bugwrangler's areas of triage and involvement across dev teamsConversations/meetings with at least 5 dev teams/projects on bugwrangler involvement in "their tasks". Document agreements.Development teams/team leadersDevRel-September-2015Ongoing

@Qgil

GoalMeasurement of successDependencyETAStatus
T101950: Goal: Establish a framework to engage with data engineers and open data organizations (EXPERIMENT)See Other team goals above.
T104343: Goal: Evolve Engineering Community team into Developer Relations teamThe change is reflected in Staff and contractors, mw:Engineering_Community_Team, nd Developer-AdvocacyWMF managementDevRel-September-2015Completed
T104286: Engage developer documentation task force, shared with S (FOCUS)Outsiders write developer documentationNoneDevRel-September-2015Not started
T76199: Goal: Newsletter extension for MediaWiki (as mentor)New extension deployed in Labs and ready to start Wikimedia's review process@Tinaj1234 @01tonythomasDevRel-September-2015Completed

@Rfarrand

GoalMeasurement of successDependencyETAStatus
T101946: Goal: First Wikimania Hackathon fully integrated with the main program and the editor community (EXPERIMENT)See Main goal above.
T104346: Goal: Define Wikimedia Developer Summit 2016 (EXPERIMENT)Mediawiki Developers Summit event defined, registration open, non-WMF attendees invited, meals and social events contractedEngineering Managers, Mission Bay Center Staff, ECTDevRel-September-2015Completed
T104347: Goal: Plan for Engineering Travel Approvals to Wikimedia Hackathon 2016 and Wikimania Hackathon 2016 (Jerusalem) (STRENGTHEN)Define and publicize a process that works for WMF Travel, ECT & Engineering management for travel to Jerusalem and Esino Lario. EMGT will need to approve people based on budget, ECT will need to approve people based on merit and event size restrictions and we will need to define and meet strict WMF travel deadlinesWMF Travel Team, Engineering Management, VP of EngineeringDevRel-September-2015Not started

@Spage

S is currently in the Reading team. However, at least during this quarter he will be working with ECT. Let's add his individual goals here as well, for convenience.

GoalMeasurement of successDependencyETAStatus
T101441: Goal: Integrate the new Web APIs hub with mediawiki.org (EXPERIMENT)See Other team goals above.
T104282: Goal: Create landing pages for the free open knowledge sources on the Web APIs Hub (FOCUS)Developers get a cohesive story from Data and developer hub sitenoneECT-August-2015one written, others external
T104286: Engage developer documentation task force, shared with Quim (FOCUS)Outsiders write developer documentationNoneDevRel-September-2015How to contribute, no engagement yet.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil updated the task description. (Show Details)Jun 3 2015, 7:23 AM
Qgil set Security to None.
Qgil added subscribers: Rfarrand, Spage.
Qgil added a comment.Jun 3 2015, 7:27 AM

Here's a first draft. I was able to discuss goals with @Aklapper and @NiharikaKohli on #wikimedia-ect IRC. I'll try to chat with @Rfarrand and @Spage later today.

Rfarrand updated the task description. (Show Details)Jun 4 2015, 4:19 AM
Niharika updated the task description. (Show Details)Jun 4 2015, 2:08 PM
Spage updated the task description. (Show Details)Jun 4 2015, 6:27 PM
Spage updated the task description. (Show Details)Jun 4 2015, 8:54 PM
Qgil updated the task description. (Show Details)Jun 5 2015, 7:47 AM
Qgil updated the task description. (Show Details)
Qgil added a comment.Jun 5 2015, 8:01 AM

The description of this task is now synced with the slide of the Community Engagement Q1 goals slide deck. I will keep both in sync.

Please check the changes made on your goals, adding and fine tuning. Details to be discussed in the respective tasks, when available. @Rfarrand, please create your task, so we can discuss the details there. About mine, see below.

Lila is recommending a categorization of goals by Focus, Strengthen, and Experiment (and by this order, if possible). I like the idea because it encourages a combination of homework and risk, keeping always an eye on the main task of the quarter. The main goal should be the main focus, obviously. I have added these labels to the tasks and I have sorted 1, 2, 3 accordingly.

About my goal, while agreeing on T97283: Plan to focus on the Developer audience is an important goal for this quarter, I felt that the actual implementation was a different story, quite internal, and perhaps forcing too much the machine by making it a quarterly goal. Instead, I am proposing to start covering the void we have on "data" (vs "developer", although these terms are fuzzy and overlapping). Chance or destiny brought me to some conversations with Strategic Partnerships and the Wikidata team about the idea of reaching out to open data organizations to get the interesting parts of their datasets in Wikimedia projects. This also fits with the void on data topics that @Spage has been mentioning in relation to Web-APIs-Hub. See this discussion in the Wikidata mailing list for some details and examples.

If you think this team goal makes sense, and if the stakeholders proposed also think it is a good goal, I'm happy to push it as "Experiment".

Niharika updated the task description. (Show Details)Jun 5 2015, 8:47 AM
Qgil added a comment.Jun 10 2015, 9:40 AM

Luis Villa has reviewed this proposal and he sees no blockers.

He mentioned that T101950's measurement of success was a bit vague and perhaps too ambitious. I agreed, and I have edited accordingly. I checked this goal with Lydia (Wikidata) and Sylvia (Strategic Partnerships) and both are on board.

Today Developer-Advocacy is meeting to approve our goals for the next quarter. I'm personally happy with the goals proposed. There are some details to be defined, but they are minor and can be discussed in each task.

You will also see that I'm proposing a structure for quarterly goals tasks (i.e. T101950). The intent is to help formulating goals today, and reviewing them at the end of the quarter, knowing which place these goals have in the WMF-Call-To-Action and the WMF strategy in general. As always, feedback welcome.

Qgil updated the task description. (Show Details)Jun 11 2015, 8:12 AM
Qgil lowered the priority of this task from High to Low.

These goals have been reviewed in our Engineering Community meeting yesterday and this is our plan now for the next quarter.

Qgil updated the task description. (Show Details)Jun 16 2015, 11:13 AM
Qgil raised the priority of this task from Low to Normal.
Qgil added a comment.Jun 16 2015, 11:20 AM

From now on, WMF employees are not required to agree annual goals with their managers. Instead, all of us are required to define our individual quarterly goals. This fits better with the increased relevance of team quarterly goals and with the idea of an agile organization.

The simplest way to document our individual goals is to add them here, to have a general view of our plans for this quarter. Please check your personal backlogs, Developer-Advocacy backlog, or come up with new ideas to be transformed into goals. The sooner we draft, the better. We will use team and 1:1 meetings plus whatever feedback we get to consolidate and approve these goals... by next Tuesday 23?

Note that you might have goals (i.e. related to personal development) that for whatever reasons you prefer not to share publicly. This should be more the exception than the norm (since all of us are expected to focus on public goals first), but it is an exception that all of us have the right for. If you ave one of these, just check with me in our next meeting.

Qgil added a comment.Jun 16 2015, 1:53 PM

Summarizing my (quite improvised) feedback during my 1:1 with Andre an hour ago:

Good draft! But... :)

  • We force ourselves not to have more than 5 team goals; let's translate this hard limit in personal goals as well. You can always work on more tasks, but in terms of goals committed, 3 is good and 5 should be the maximum.
  • It's good to have goals about improving processes (as opposed to focus on deliverables only), but still deliverables should have its weight.
  • The goals about processes need to have a clear explanation of the problem that needs solving, and the steps taken to solve that problem, in order to have a way to measure whether the goal has been accomplished or not.
  • Alignment with other teams is good, and it is also a good chance to get members of those teams equally committed to the common goal by making it their personal quarterly goal as well. This will help succeeding with the goal (shared responsibilities) and evaluating it in the first place (multiple points of view).

So I'm going to postpone "Learn from WMDE about better handling requests, explaining actions and processes, and making "Phab more welcoming"" to Q4-2015 - I have hopes to investigate that a bit more at Germany's WikiCon in September.
I'd keep the rest though, at least I want those to get started (not necessarily all finished) in Q3-2015.

I need to work more on defining my deliverables this week.

Main Goals for July - Sep:

  • Identify Goals of MediaWiki Developers Summit 2016, begin next steps in planning/finalizing major logistics
  • Summarize Feedback/Lessons Learned/Metrics from Zurich, Lyon, Mexico City. Close projects. Suggestions for changes for future years.
  • Work with Travel/Quim/Terry/EMGT to come up with a plan for engineering travel approvals to Jerusalem & Esino Lario
  • Complete Documentation & Tips for Future Hackathon Organizers (WIP)
  • Complete Hackathon 101 Documentation for newbies (planning to make major progress on this in late June/earlyJuly)
  • Continue working with teams on their off-sites as needed (probably not going to be an official goal)

@Qgil I read your feedback for Andre about having too many goals... so maybe we can cut down the list together during our 1v1,

Spage added a comment.EditedJun 22 2015, 8:44 PM

My goals for Jul-Sep 2015:

if no one else steps forward for T101441: Goal: Integrate the new Web APIs hub with mediawiki.org, I will likely be working on it all quarter, and only able to document ad hoc doc requests and changes.
If someone else works on T101441, then I'm freed up to do some work on:

Rfarrand added a comment.EditedJun 22 2015, 8:49 PM

Top Three Goals:

  1. Wikimania Hackathon complete
  2. Developers Summit Plan and logistics
  3. Define Travel Approval Process for Engineering Department for Wikimedia Hackathon 2016 and Wikimania 2016

Everything else will be included in sprints

Qgil added a comment.EditedJun 23 2015, 4:00 PM

Current thoughts for my personal goals:

  1. T101950: Goal: Establish a framework to engage with data engineers and open data organizations
  2. Hopefully implement T97283: Plan to focus on the Developer audience
  3. A shared goal with S that we discussed yesterday, forming a Documentation task force of sorts to support T101441: Goal: Integrate the new Web APIs hub with mediawiki.org
  4. Successful completion of T76199: Goal: Newsletter extension for MediaWiki (GSoC project I'm co-mentoring)
Aklapper updated the task description. (Show Details)Jun 26 2015, 1:50 PM
Qgil updated the task description. (Show Details)Jun 27 2015, 3:47 PM
Qgil added subscribers: Tinaj1234, 01tonythomas.
Qgil added a subscriber: JKatzWMF.Jun 27 2015, 3:57 PM

My goals for Jul-Sep 2015:

"Respond to feedback" is not a goal per se. Listening to feedback, replying, and adapting plans is just part of T101441.

if no one else steps forward for T101441: Goal: Integrate the new Web APIs hub with mediawiki.org, I will likely be working on it all quarter, and only able to document ad hoc doc requests and changes.
If someone else works on T101441, then I'm freed up to do some work on:

You are clearly the owner of T101441. :) It's a big task, but still it should allow you to do some more work.

At least at this point I'm happy not counting new articles as goals, just like the rest of us has tasks that will happen even if they are not marked as goals. You are a tech writer and you really would need to find time to write content for the Developer Hub. Otherwise we are doing something wrong.

We agreed that this would be a shared goal between you and me. Please create a task for it and propose measurements of success. We can fine tune things in the task itself.

In addition to these two goals, it would be good to check with @JKatzWMF whether he is counting on Reading team specific goals. In other words, you must have only one list of personal goals (just like the rest of us), regardless of the teams involved.

Qgil added a comment.Jun 27 2015, 3:57 PM

Top Three Goals:

  1. Wikimania Hackathon complete
  2. Developers Summit Plan and logistics
  3. Define Travel Approval Process for Engineering Department for Wikimedia Hackathon 2016 and Wikimania 2016

    Everything else will be included in sprints

Very good! Please create the tasks needed and update the description above as needed.

Qgil moved this task from Backlog to Doing on the ECT-June-2015 board.Jun 27 2015, 6:57 PM
Spage updated the task description. (Show Details)Jun 30 2015, 2:14 AM
Qgil updated the task description. (Show Details)Jun 30 2015, 3:32 PM
Rfarrand updated the task description. (Show Details)Jun 30 2015, 3:58 PM
Rfarrand updated the task description. (Show Details)Jun 30 2015, 4:02 PM
Rfarrand updated the task description. (Show Details)Jun 30 2015, 4:07 PM
Rfarrand updated the task description. (Show Details)
Rfarrand updated the task description. (Show Details)Jun 30 2015, 4:11 PM
Rfarrand updated the task description. (Show Details)

I have added more information to each of the tasks related to each of my Q1 goals.

Qgil updated the task description. (Show Details)Jul 1 2015, 2:56 PM
Qgil updated the task description. (Show Details)Jul 1 2015, 3:14 PM

Let's mark as blockers only the team goals, not the individual goals. If someone fails on an individual goal they're doomed ;) but the team will survive.

Qgil lowered the priority of this task from Normal to Low.Jul 7 2015, 9:40 AM

This list of goals is stable now. Thank you! Low priority until the next quarterly review.

Aklapper updated the task description. (Show Details)Aug 4 2015, 4:08 PM
Qgil updated the task description. (Show Details)Aug 21 2015, 12:55 PM
Spage updated the task description. (Show Details)Sep 8 2015, 4:18 PM
Spage updated the task description. (Show Details)Sep 15 2015, 6:19 PM
Spage updated the task description. (Show Details)
Spage updated the task description. (Show Details)Sep 21 2015, 9:46 PM
Spage updated the task description. (Show Details)Sep 28 2015, 7:31 PM
Qgil moved this task from Backlog to Doing on the DevRel-September-2015 board.Sep 29 2015, 6:20 PM
Qgil updated the task description. (Show Details)Oct 1 2015, 1:52 PM
Qgil closed this task as Resolved.

Time to close "the binary task". It has been a good friend during these past months.

I will still update some of the goals with the information provided in our quarterly review.